Attribute VB_Name = "z_UIRibbon_sample"
Option Private Module
Option Explicit

public Sub OnRibbonBtn(control As IRibbonControl)
  Select Case control.ID
    Case "GotoLinkBegin":       Call CC_GotoLinkBegin
    Case "GotoLinkEnd":         Call CC_GotoLinkEnd
    Case "WidthAdd10":         Call CC_WidthAdd10
    Case "WidthSub10":         Call CC_WidthSub10
    Case "TopAlignment":      Call CC_TopAlignment
    Case "LeftAlignment":      Call CC_LeftAlignment
    Case "ToggleInherited":    Call ToggleInherited
  End Select
End Sub